<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>challenge07</title>
</head>

<body>
    <script type="text/javascript">
        class Alumno {
            constructor(nombre, apellido) {
                this._nombre = nombre;
                this._apellido = apellido;
            }

            get nombre() {
                return this._nombre
            }

            set nombre(valor) {
                this._nombre = valor;
            }

            get apellido() {
                return this._apellido
            }

            set apellido(valor) {
                this._apellido = valor;
            }

            get nombreCompleto() {
                return `${this.nombre} ${this.apellido}`;
            }
        }

        let alumno1 = new Alumno('Leonel', 'Rivera');
        console.log(alumno1.nombreCompleto);
        // Jose Paredes
        let alumno2 = new Alumno('Pablo', 'Perez');
        console.log(alumno2.nombreCompleto);
// Pablo Pinto

    </script>
</body>

</html>